<?php


// Fonction exemple que vous pouvez utiliser pour afficher un lien vers l'accueil :
function afficher_lien_accueil() {
    afficher_lien_interne('Retour vers l\'accueil', 'accueil.php');
}


//champ date
/*
Remarque: 
    Il n'est pas ncessaire de comprendre le fonctionnement de ces fonctions,
    car elles font appel  des notions que vous n'avez pas vues.
    Il vous est seulement ncessaire de comprendre comment les utiliser,
    et cela ressemble  l'utilisation des afficher_champ_texte 
    et GETref('id_du_champ_texte') habituels.
*/

// Fonction intermdiaire permettant d'afficher une liste droulante de nombres.
// Ajoute des 0  gauche du nombre pour garder un nombre constant de chiffres.
// string int int -> none
function afficher_select_nombre($id_champ, $n_debut, $n_fin) {
    $format = '%0' . strlen($n_fin) . 'd';
    
    print("<select name='$id_champ'>\n");
        for($i=$n_debut; $i<=$n_fin; $i++) {
            afficher_select_item(sprintf($format, $i));
        }
    print("</select>\n");
}

// Affiche trois champs de nombres (jour, mois, anne).
// string string int int -> none
function afficher_champ_date($id_champ, $texte, $annee_debut=1980, $annee_fin=2020) {
    print(div($texte, 'input_text_left'));
    debut('input_text_right');
        afficher_select_nombre($id_champ . '_jour', 1, 31);
        afficher_select_nombre($id_champ . '_mois', 1, 12);
        afficher_select_nombre($id_champ . '_annee', $annee_debut, $annee_fin);
    fin('input_text_right');
}

// Rcupre la valeur choisie par l'utilisateur dans le champ de date.
// Retourne une chane au format SQL (aaaa-mm-jj).
// string -> string
function GETref_date($id_champ) {
    return GETref($id_champ . '_annee') . '-' . GETref($id_champ . '_mois') . '-' . GETref($id_champ . '_jour');
}

	

?>