<?php

include('outils.php');


//Traitement du choix de l'accueil
function traiter_formulaire_accueil () {
	//rcuperation des donnes saisies dans le formulaire accueil
	$choix = GETref('listeaccueil');
	if ($choix === 'Inscription') {	
		inscription();
	} else if ($choix === 'Bilan des stocks') {
		bilan_des_stocks();
	} else if ($choix === 'Prescription') {
		prescription ();
	} else if ($choix === 'Bilan pidmique' ) {
		bilan_epidemique() ;
	}else if ($choix === 'Antcdents') {
		antecedent () ;
	}
}
	
	
	
	
function inscription () {

	afficher_titre ('Formulaire d\'inscription du patient');

	debut_formulaire ('forminscription' , 'traitementinsc.php');
		afficher_champ_texte ('nom', 'Nom : ' ,'');
		afficher_champ_texte ('prenom', 'Prenom : ', '');
		afficher_champ_texte ('numsecu', 'Numro de scurit sociale (15 chiffres) : ', '');
	
		debut_groupe_checkbox ('allergiepatient','A quel(s) mdicament(s) tes vous allergique ? ' );
			afficher_checkbox_item ('aricept', 'Aricept');
			afficher_checkbox_item('atarax','Atarax');
			afficher_checkbox_item('ibuprofene', 'Ibuprofne');
			afficher_checkbox_item('aspirine', 'Aspirine');
			afficher_checkbox_item('doliprane', 'Doliprane');
			afficher_checkbox_item('hexetidine', 'Hexetidine');
			afficher_checkbox_item('humex', 'Humex');
			afficher_checkbox_item('afrin', 'Afrin');
			afficher_checkbox_item('voltarne', 'Voltarne');
			afficher_checkbox_item('spasfon', 'Spasfon');
			afficher_checkbox_item('smecta', 'Smecta');
			afficher_checkbox_item('motilyo', 'Motilyo');
			afficher_checkbox_item('modiadal', 'Modiadal');
			afficher_checkbox_item('dopamine', 'Dopamine');
			afficher_checkbox_item('upsa', 'Upsa');
			afficher_checkbox_item('cytelium', 'Cytelium');
			afficher_checkbox_item('synthol', 'Synthol');
		fin_groupe_checkbox ('allergiepatient');
	fin_formulaire ('forminscription', 'Ok' );
	
	afficher_lien_accueil();
}

function bilan_des_stocks() {
	
	afficher_titre ('Bilan des stocks de mdicaments');
	
	debut_formulaire ('formstocks' , 'traitementstocks.php');	
		debut_groupe_checkbox ('stocks','De quel(s) mdicament(s) voulez-vous faire le bilan ?' );
			afficher_checkbox_item ('aricept', 'Aricept');
			afficher_checkbox_item('atarax','Atarax');
			afficher_checkbox_item('ibuprofene', 'Ibuprofne');
			afficher_checkbox_item('aspirine', 'Aspirine');
			afficher_checkbox_item('doliprane', 'Doliprane');
			afficher_checkbox_item('hexetidine', 'Hexetidine');
			afficher_checkbox_item('humex', 'Humex');
			afficher_checkbox_item('afrin', 'Afrin');
			afficher_checkbox_item('voltarne', 'Voltarne');
			afficher_checkbox_item('spasfon', 'Spasfon');
			afficher_checkbox_item('smecta', 'Smecta');
			afficher_checkbox_item('motilyo', 'Motilyo');
			afficher_checkbox_item('modiadal', 'Modiadal');
			afficher_checkbox_item('dopamine', 'Dopamine');
			afficher_checkbox_item('upsa', 'Upsa');
			afficher_checkbox_item('cytelium', 'Cytelium');
			afficher_checkbox_item('synthol', 'Synthol');
		fin_groupe_checkbox ('stocks');
	fin_formulaire ('formstocks', 'Ok' );
	
	afficher_lien_accueil();
}

function prescription () {
	
	debut_formulaire('formpresc', 'traitementpresc.php');
		afficher_champ_texte ('numerosecu', 'Numro de scurit sociale du patient (15 chiffres) : ', '');
		afficher_champ_date ('date', 'Date d\'auscultation :', 1990, 2050);
		
		debut_select ('listemaladies','De quelle maladie souffre le patient ? ');
			afficher_select_item ('Alzeihmer');
			afficher_select_item('Grippe');
			afficher_select_item('Rhinopharyngite');
			afficher_select_item('Angine');
			afficher_select_item('Gastro-enterite');
			afficher_select_item('Narcolepsie');
			afficher_select_item('Mononuclose');
			afficher_select_item('Varicelle');
		fin_select();
		
	fin_formulaire('formpresc' , 'OK' );
	
	afficher_lien_accueil();
}
	
function bilan_epidemique () {

	afficher_titre('Page consacre aux bilans pidmiques');
		
	debut_formulaire('formepi', 'traitementepidemic.php');
		debut_select ('listeepidemie','De quelle maladie voulez vous faire le bilan pidmique ?');
			afficher_select_item ('Alzeihmer');
			afficher_select_item('Grippe');
			afficher_select_item('Rhinopharyngite');
			afficher_select_item('Angine');
			afficher_select_item('Gastro-enterite');
			afficher_select_item('Narcolepsie');
			afficher_select_item('Mononuclose');
			afficher_select_item('Varicelle');
		fin_select();
		printline ('Sur quelle priode voulez vous faire ce bilan?');
		afficher_champ_date ('datedebut', 'Date de dbut :', 1990, 2050);
		afficher_champ_date ('datefin', 'Date de fin :', 1990, 2050);
	fin_formulaire('formepi' , 'OK' );
	
	afficher_lien_accueil();
}



function antecedent () {
	afficher_titre('Page consacre aux antcdents des patients');
	
	debut_formulaire('formant', 'traitementant.php');
		afficher_champ_texte ('numsecu', 'Numro de scurit sociale du patient (15 chiffres) : ', '');
	fin_formulaire('formant' , 'OK' );
	
	afficher_lien_accueil();
}

	
function main() {
	//recuperation du nom du formulaire
	$id_formulaire = GETref ('id_formulaire');
	//traitement des donnes reues
	if ($id_formulaire ==='formaccueil') {
		traiter_formulaire_accueil();
	}
}


?>